﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

/// <summary>
/// Logic block which deals with moving a character in a direction
/// </summary>
[CreateAssetMenu(menuName = "Major Project/Rotate Block")]
public class Rotate : LogicBlock
{
    public enum Direction { Left, Right}

    #region Inspector Fields
    [SerializeField]
    [Header("Rotate Settings")]
    [Tooltip("Direction to rotate in")]
    protected Direction direction;
    #endregion Inspector Fields


    #region Class Functions

    protected override void BlockLogic()
    {
        Debug.Log("Rotate " + direction.ToString());
    }

    #endregion Class Functions
}
